Page MenuHomePhabricator

[Task] Terms usage tracking: Only track parts of the language fallback chain that were actually used
Closed, ResolvedPublic

Description

In case we have a fallback from language abc to xyz, and someone tries to access a label in abc we will always track label usages for both abc and xyz, even if there is a abc label. We should only record label usages that are actually relevant (abc in this case).

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

hoo created this task.Jun 22 2016, 2:33 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptJun 22 2016, 2:33 PM
hoo updated the task description. (Show Details)Jun 22 2016, 2:33 PM
hoo claimed this task.Jul 29 2017, 3:28 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 29 2017, 3:28 PM

Change 369442 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Only record relevant label usages

https://gerrit.wikimedia.org/r/369442

hoo moved this task from Doing to Review on the Wikidata-Former-Sprint-Board board.Aug 1 2017, 5:59 PM

Change 369442 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Only record relevant label usages

https://gerrit.wikimedia.org/r/369442

thiemowmde closed this task as Resolved.Aug 3 2017, 10:19 AM
thiemowmde removed a project: Patch-For-Review.
hoo added a comment.Sep 19 2017, 5:31 PM

This got deployed to most Wikis on Aug 18 (69ca078790f878c2efb3218f0b801d6518e205d2).

This had significant effect on the number of usage recorded:

Details for some Wikis:
zhwiki (the wiki with the most label usages, due to the long fallback chain):

==> label-usage.zhwiki.2017-08-08 <==
No      eu_aspect
5601248 L.en
5601303 L.zh
5601297 L.zh-cn
5601297 L.zh-hans
5601297 L.zh-hant
5601297 L.zh-hk
5601297 L.zh-mo
5601297 L.zh-sg
5601297 L.zh-tw

==> label-usage.zhwiki.2017-08-29 <==
No      eu_aspect
4842298 L.en
5597842 L.zh
4870704 L.zh-cn
4871256 L.zh-hans
4870746 L.zh-hant
4843361 L.zh-hk
4843361 L.zh-mo
4843361 L.zh-sg
4843361 L.zh-tw

==> label-usage.zhwiki.2017-09-19 <==
No      eu_aspect
4656077 L.en
5604440 L.zh
4732968 L.zh-cn
4733541 L.zh-hans
4733025 L.zh-hant
4657553 L.zh-hk
4657553 L.zh-mo
4657553 L.zh-sg
4657553 L.zh-tw

ruwiki:

==> label-usage.ruwiki.2017-08-08 <==
No      eu_aspect
7609654 L.en
7611488 L.ru

==> label-usage.ruwiki.2017-08-29 <==
No      eu_aspect
1251039 L.en
7788123 L.ru

==> label-usage.ruwiki.2017-09-19 <==
No      eu_aspect
982491  L.en
7942390 L.ru

cawiki:

==> label-usage.cawiki.2017-08-08 <==
No      eu_aspect
5101357 L.ca
5101356 L.en
5101356 L.oc

==> label-usage.cawiki.2017-08-29 <==
No      eu_aspect
5185417 L.ca
502576  L.en
507297  L.oc

==> label-usage.cawiki.2017-09-19 <==
No      eu_aspect
5491167 L.ca
398182  L.en
403434  L.oc

As can be seen here, some languages in the fallback chains are hardly/ not at all used, while others are heavily used.